Fehler: Feldtyp hat unvollständigen Elementtypen

Dieses Thema im Forum "C/C++" wurde erstellt von pap511, 26.09.2005.

  1. pap511

    pap511 Grünschnabel

    Dabei seit:
    26.09.2005
    Beiträge:
    4
    Zustimmungen:
    0
    Bin absoluter Linux-Neuling und deshalb meine Frage: Bekomme beim Kompillieren eine Fehlermeldung mit der ich nichts anfangen kann:

    Code:
    make[2]: Gehe in Verzeichnis »/home/paul/mbsystem-5.0.7/src/mbview«
    cc -g -w -lm -DLINUX -DBYTESWAPPED -DGMT4_0 -DMBVIEW_LIBRARY -I../../include -I/usr/include/Xm -c mbview_callbacks.c
    In file included from mbview_callbacks.c:111:
    mbviewprivate.h:122: Fehler: Feldtyp hat unvollständigen Elementtypen
    make[2]: *** [mbview_callbacks.o] Fehler 1
    Kann mir jemand helfen diesen Fehler zu beheben?
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. #2 Havoc][, 26.09.2005
    Havoc][

    Havoc][ Debian && Gentoo'ler

    Dabei seit:
    27.07.2003
    Beiträge:
    898
    Zustimmungen:
    0
    Ort:
    GER/BaWü/Karlsruhe (bzw. GER/NRW/Siegen)
    Hast du das Programm selbst geschrieben? Oder ist das ein anderes OpenSource Programm das du installieren möchtest?

    Havoc][
     
  4. pap511

    pap511 Grünschnabel

    Dabei seit:
    26.09.2005
    Beiträge:
    4
    Zustimmungen:
    0
    Es ist ein Open Source Programm.
     
  5. devilz

    devilz Pro*phet
    Administrator

    Dabei seit:
    01.05.2002
    Beiträge:
    12.244
    Zustimmungen:
    0
    Ort:
    Hessen
    Welches Programm genau ?
     
  6. pap511

    pap511 Grünschnabel

    Dabei seit:
    26.09.2005
    Beiträge:
    4
    Zustimmungen:
    0
    MB-System 5.0.7 (http://www.ldeo.columbia.edu/res/pi/MB-System/MB-System.intro.html)
    Es ist eine spezielle Anwendung, die ich im Rahmen meines Studiums ganz gut gebrauchen kann. Das Programm läuft auch bereits auf meinem PC (Ubuntu Linux), ich wollte nur zusätzlich noch ein Programm-Modul kompillieren und bekomme dabei diese Fehlermeldung.
     
  7. Anzeige

    Vielleicht findest du HIER Antworten.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  8. #6 MrFenix, 26.09.2005
    MrFenix

    MrFenix Executor

    Dabei seit:
    16.10.2004
    Beiträge:
    480
    Zustimmungen:
    0
    Ort:
    Siegen, NRW
    Also das sieht für mich wie ein Programmierfehler in der Software aus. Sonst würde da normal ein Verweis auf ne externe Library kommen.. zumindest bei Gentoo isses immer so, wenn was abkratzt beim compilieren. Frag am besten mal bei den Machern von dem Programm an, was das sein könnte. Bei so einem vergleichsweise kleinen Projekt (scheint es zu sein oder?) dürften die normal gelassen auf direkte Supportanfragen reagieren.
     
  9. pap511

    pap511 Grünschnabel

    Dabei seit:
    26.09.2005
    Beiträge:
    4
    Zustimmungen:
    0
    Alles klar!

    Habe das Problem gestern gelöst, indem ich das ganze noch mal mit gcc-3.4 und nicht, wie bisher, mit gcc-4 kompiliert habe. Mit gcc-3.4 lief alles glatt, keine Fehlermeldung.
     
Thema:

Fehler: Feldtyp hat unvollständigen Elementtypen

Die Seite wird geladen...

Fehler: Feldtyp hat unvollständigen Elementtypen - Ähnliche Themen

  1. Terminal Fehlermeldung

    Terminal Fehlermeldung: Hola, mir ist aufgefallen das ständig ein Fehler erscheint sobald ich einen Terminal öffne. Hat zwar keine Auswirkung auf die Arbeit damit sieht...
  2. LibreOffice 5.1.1 korrigiert Fehler

    LibreOffice 5.1.1 korrigiert Fehler: Das LibreOffice-Projekt hat die Verfügbarkeit der Version 5.1.1 der freien Office-Suite bekannt gegeben. In diesem planmäßigen Update werden...
  3. Fehler in glibc gefährdet zahlreiche Systeme

    Fehler in glibc gefährdet zahlreiche Systeme: Sicherheitsforscher haben eine Sicherheitslücke in der glibc-Bibliothek entdeckt, die sich von externen Angreifern über das Netzwerk ausnutzen...
  4. LibreOffice veranstaltet Fehlerjagd

    LibreOffice veranstaltet Fehlerjagd: Das LibreOffice-Projekt hat angekündigt, vom 15. bis 17. Januar die mittlerweile dritte öffentliche »Bug Hunting Session« für Version 5.1 der...
  5. Linux.Encoder: Das Laster der fehlerhaften Kryptografie

    Linux.Encoder: Das Laster der fehlerhaften Kryptografie: Der mittlerweile in der dritten Generation nun vorliegende Ransomware »Linux.Encoder« kann immer noch kaum Schrecken unter Linux verbreiten -...